## org.apache.lucene.search.vectorhighlight
Class FieldFragList

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldFragList

    public class FieldFragList

extends java.lang.Object

FieldFragList has a list of "frag info" that is used by FragmentsBuilder class to create fragments (snippets).

Nested Class Summary
`static class` `FieldFragList.WeightedFragInfo`

Constructor Summary
`FieldFragList(int fragCharSize)` a constructor.

Method Summary
`void` `add(int startOffset, int endOffset, java.util.List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)` convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldFragList

    public FieldFragList(int fragCharSize)

  a constructor.

  Parameters:
    `fragCharSize` - the length (number of chars) of a fragment

Method Detail

### add

    public void add(int startOffset,
                    int endOffset,
                    java.util.List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)

  convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos

  Parameters:
    `startOffset` - start offset of the fragment
    `endOffset` - end offset of the fragment
    `phraseInfoList` - list of WeightedPhraseInfo objects

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.